From 6ac71fa33148cc7308596dea9c3306d0d90575fc Mon Sep 17 00:00:00 2001
Message-Id: <6ac71fa33148cc7308596dea9c3306d0d90575fc.1367947969.git.minovotn@redhat.com>
In-Reply-To: <707b9b97153063374d2530e72c49b1499fc21af9.1367947969.git.minovotn@redhat.com>
References: <707b9b97153063374d2530e72c49b1499fc21af9.1367947969.git.minovotn@redhat.com>
From: Michal Novotny <minovotn@redhat.com>
Date: Tue, 7 May 2013 18:37:37 +0200
Subject: [PATCH 035/114] Revert "qemu-ga: sample fsfreeze hooks"

This reverts commit 95020b76a7c45aa088d455399e5a2f5f3a9fb449.

Reverting as asked by Laszlo in message <51892739.2030807@redhat.com>
because of the ordering issue (most likely) related to supersed
testing.

Signed-off-by: Michal Novotny <minovotn@redhat.com>
---
 .gitignore                                         |  1 -
 scripts/qemu-guest-agent/fsfreeze-hook             | 33 -------------
 .../fsfreeze-hook.d/mysql-flush.sh.sample          | 56 ----------------------
 3 files changed, 90 deletions(-)
 delete mode 100755 scripts/qemu-guest-agent/fsfreeze-hook
 delete mode 100755 scripts/qemu-guest-agent/fsfreeze-hook.d/mysql-flush.sh.sample

diff --git a/.gitignore b/.gitignore
index 07868ca..4c7f3b6 100644
--- a/.gitignore
+++ b/.gitignore
@@ -48,7 +48,6 @@ qemu-monitor.texi
 *.tp
 *.vr
 *.d
-!scripts/qemu-guest-agent/fsfreeze-hook.d
 *.o
 *.swp
 *.orig
diff --git a/scripts/qemu-guest-agent/fsfreeze-hook b/scripts/qemu-guest-agent/fsfreeze-hook
deleted file mode 100755
index c27b29f..0000000
--- a/scripts/qemu-guest-agent/fsfreeze-hook
+++ /dev/null
@@ -1,33 +0,0 @@
-#!/bin/sh
-
-# This script is executed when a guest agent receives fsfreeze-freeze and
-# fsfreeze-thaw command, if it is specified in --fsfreeze-hook (-F)
-# option of qemu-ga or placed in default path (/etc/qemu/fsfreeze-hook).
-# When the agent receives fsfreeze-freeze request, this script is issued with
-# "freeze" argument before the filesystem is frozen. And for fsfreeze-thaw
-# request, it is issued with "thaw" argument after filesystem is thawed.
-
-LOGFILE=/var/log/qga-fsfreeze-hook.log
-FSFREEZE_D=$(dirname -- "$0")/fsfreeze-hook.d
-
-# Check whether file $1 is a backup or rpm-generated file and should be ignored
-is_ignored_file() {
-    case "$1" in
-        *~ | *.bak | *.orig | *.rpmnew | *.rpmorig | *.rpmsave | *.sample)
-            return 0 ;;
-    esac
-    return 1
-}
-
-# Iterate executables in directory "fsfreeze-hook.d" with the specified args
-[ ! -d "$FSFREEZE_D" ] && exit 0
-for file in "$FSFREEZE_D"/* ; do
-    is_ignored_file "$file" && continue
-    [ -x "$file" ] || continue
-    printf "$(date): execute $file $@\n" >>$LOGFILE
-    "$file" "$@" >>$LOGFILE 2>&1
-    STATUS=$?
-    printf "$(date): $file finished with status=$STATUS\n" >>$LOGFILE
-done
-
-exit 0
diff --git a/scripts/qemu-guest-agent/fsfreeze-hook.d/mysql-flush.sh.sample b/scripts/qemu-guest-agent/fsfreeze-hook.d/mysql-flush.sh.sample
deleted file mode 100755
index 2b4fa3a..0000000
--- a/scripts/qemu-guest-agent/fsfreeze-hook.d/mysql-flush.sh.sample
+++ /dev/null
@@ -1,56 +0,0 @@
-#!/bin/sh
-
-# Flush MySQL tables to the disk before the filesystem is frozen.
-# At the same time, this keeps a read lock in order to avoid write accesses
-# from the other clients until the filesystem is thawed.
-
-MYSQL="/usr/bin/mysql"
-MYSQL_OPTS="-uroot" #"-prootpassword"
-FIFO=/var/run/mysql-flush.fifo
-
-# Check mysql is installed and the server running
-[ -x "$MYSQL" ] && "$MYSQL" $MYSQL_OPTS < /dev/null || exit 0
-
-flush_and_wait() {
-    printf "FLUSH TABLES WITH READ LOCK \\G\n"
-    trap 'printf "$(date): $0 is killed\n">&2' HUP INT QUIT ALRM TERM
-    read < $FIFO
-    printf "UNLOCK TABLES \\G\n"
-    rm -f $FIFO
-}
-
-case "$1" in
-    freeze)
-        mkfifo $FIFO || exit 1
-        flush_and_wait | "$MYSQL" $MYSQL_OPTS &
-        # wait until every block is flushed
-        while [ "$(echo 'SHOW STATUS LIKE "Key_blocks_not_flushed"' |\
-                 "$MYSQL" $MYSQL_OPTS | tail -1 | cut -f 2)" -gt 0 ]; do
-            sleep 1
-        done
-        # for InnoDB, wait until every log is flushed
-        INNODB_STATUS=$(mktemp /tmp/mysql-flush.XXXXXX)
-        [ $? -ne 0 ] && exit 2
-        trap "rm -f $INNODB_STATUS; exit 1" HUP INT QUIT ALRM TERM
-        while :; do
-            printf "SHOW ENGINE INNODB STATUS \\G" |\
-                "$MYSQL" $MYSQL_OPTS > $INNODB_STATUS
-            LOG_CURRENT=$(grep 'Log sequence number' $INNODB_STATUS |\
-                          tr -s ' ' | cut -d' ' -f4)
-            LOG_FLUSHED=$(grep 'Log flushed up to' $INNODB_STATUS |\
-                          tr -s ' ' | cut -d' ' -f5)
-            [ "$LOG_CURRENT" = "$LOG_FLUSHED" ] && break
-            sleep 1
-        done
-        rm -f $INNODB_STATUS
-        ;;
-
-    thaw)
-        [ ! -p $FIFO ] && exit 1
-        echo > $FIFO
-        ;;
-
-    *)
-        exit 1
-        ;;
-esac
-- 
1.7.11.7

